CREATE TABLE pet(
  pid        NUMBER,
  breed      VARCHAR2(45),
  name       VARCHAR2(30),
  owner_id   NUMBER,
  CONSTRAINT fk_pet_person FOREIGN KEY(owner_id)
             REFERENCES person(id) ON DELETE CASCADE
)
/
